# 10DLC Brand Registration

Create or look up brand registration for 10DLC virtual numbers

## Create Brand Registrations

 - [POST /v1/projects/{projectId}/brandRegistrations:submit](https://developers.sinch.com/docs/10dlc-registration/api-reference/10dlc-registration/10dlc-brand-registration/brandregistrationservice_createbrandregistrationrequest.md): Create a 10DLC brand registration at TCR (The Campaign Registry).
There are 2 types of registrations:

1. Simplified Registration - only verifies your brand.
2. Full Registration - performs a vetting and grants a vetted verified brand.

## List Brand Registrations

 - [GET /v1/projects/{projectId}/brandRegistrations](https://developers.sinch.com/docs/10dlc-registration/api-reference/10dlc-registration/10dlc-brand-registration/brandregistrationservice_listbrandregistrationrequest.md): Lists all brand registrations per project.

## Brand Registration Status

 - [GET /v1/projects/{projectId}/brandRegistrations/{brandRegistrationId}](https://developers.sinch.com/docs/10dlc-registration/api-reference/10dlc-registration/10dlc-brand-registration/brandregistrationservice_getbrandregistrationrequest.md): Get brand registration details using brand registration ID when creating a brand.

## Brand Registration Update

 - [PATCH /v1/projects/{projectId}/brandRegistrations/{brandRegistrationId}](https://developers.sinch.com/docs/10dlc-registration/api-reference/10dlc-registration/10dlc-brand-registration/brandregistrationservice_update10dlcbrand.md): Update Brand Registration details

## Brand Registration Feedback

 - [GET /v1/projects/{projectId}/brandRegistrations/{brandRegistrationId}/feedback](https://developers.sinch.com/docs/10dlc-registration/api-reference/10dlc-registration/10dlc-brand-registration/brandregistrationservice_getbrandregistrationfeedback.md): Returns feedback information for brand registrations that were rejected.
Following are the applicable category IDs:

* TAX_ID - Data mismatch related to tax id and its associated properties.
* STOCK_SYMBOL - Non public entity registered as a public for profit entity or the stock information mismatch.
* GOVERNMENT_ENTITY - Non government entity registered as a government entity. Must be a U.S. government entity.
* NONPROFIT - No IRS 501c tax-exempt status found.
* OTHERS - Details of the data misrepresentation if any.

## Get Brand Details

 - [GET /v1/projects/{projectId}/brandRegistrations:fetchByTcrBrandId](https://developers.sinch.com/docs/10dlc-registration/api-reference/10dlc-registration/10dlc-brand-registration/brandregistrationservice_fetchbrandregistrationrequest.md): Get the US 10DLC brand details using the TCR brand ID.

## Brand Registration Upgrade

 - [POST /v1/projects/{projectId}/brandRegistrations/{brandRegistrationId}/upgrade](https://developers.sinch.com/docs/10dlc-registration/api-reference/10dlc-registration/10dlc-brand-registration/brandregistrationservice_upgrade10dlcbrandtofullregistration.md): Upgrades brand from SIMPLIFIED to FULL.

## Brand Registration Vetting Information

 - [GET /v1/projects/{projectId}/brandRegistrations/{brandRegistrationId}/vettingInfo](https://developers.sinch.com/docs/10dlc-registration/api-reference/10dlc-registration/10dlc-brand-registration/brandregistrationservice_vettinginfo.md): Returns the vetting information of a brand registration. Include optional query parameters to filter results by vetting partner ID, vetting class, or status.

## Resend 2FA Email

 - [POST /v1/projects/{projectId}/brandRegistrations/{bundleId}/resend2faEmail](https://developers.sinch.com/docs/10dlc-registration/api-reference/10dlc-registration/10dlc-brand-registration/resend2faemail.md): Resends the two-factor authentication email.

